-- Purchase Order prefix: po_ systemid: 7
-- Tables for the Purchase Order Module
-- Copyright (c) 2001 The FreeMoney Project
-- This work is released under the GPL
-- $Id: create_tables_po.sql,v 1.6 2001/03/31 17:29:37 kaare Exp $

-- Sequences

--Tables
DROP TABLE po_vendor;
DROP TABLE po_purchasevendor;

CREATE TABLE po_vendor (
       contact_id           integer NOT NULL,
       updated              timestamp NOT NULL DEFAULT 'now',
 PRIMARY KEY (contact_id ),
 FOREIGN KEY (contact_id )  REFERENCES co_contact
);

CREATE TABLE po_purchasevendor (
       article_id           integer NOT NULL,
       contact_id           integer NOT NULL,
       priority             integer,
       updated              timestamp NOT NULL DEFAULT 'now',
 PRIMARY KEY (article_id , contact_id ),
 FOREIGN KEY (contact_id )  REFERENCES po_vendor,
 FOREIGN KEY (article_id )  REFERENCES pd_article
);

-- Views

-- Functions

-- Triggers
