-- Functions for adding, changing and deleting in contact table
-- Copyright (c) 2000 The FreeMoney Project
-- This work is released under the GPL
-- $Id: create_function_contact.sql,v 1.3 2001/03/31 17:29:37 kaare Exp $

/*
if ($action eq "Update") {
 $trans = "UPDATE customer SET customernr = '[value custnr]', type=[value custtype], updated=timenow() WHERE contact_id  = [value select_customer];
  UPDATE address SET address1 = '[value addr1]', address2 = '[value addr2]', address3 = '[value addr3]',
  postalcode = '[value postalcode]', city = '[value city]', updated=timenow()
  WHERE contact_id  = $contact_id ;";
 if ($Values->{"custtype"} == 1) {
  $trans .= "UPDATE person SET firstname = '[value fname]', lastname='[value lname]', updated=timenow() WHERE contact_id  = [value select_customer];";
 } else {
  $trans .= "UPDATE company SET name = '[value compname]', attention='[value attention]', updated=timenow() WHERE contact_id  = [value select_customer];";
 }
*/

DROP FUNCTION update_customer( int4, text, int4 );
CREATE FUNCTION update_customer
    ( int4, text, int4 ) RETURNS int4 AS '
  DECLARE
    p_contact_id  ALIAS FOR $1;
    p_custnr ALIAS FOR $2;
    p_type ALIAS FOR $3,
    p_contact_id  ALIAS FOR $4,
    v_custnr customer.custnr%rowtype;
  BEGIN
    SELECT custnr INTO v_custnr FROM customer WHERE contact_id =p_contact_id ;
    IF NOT FOUND THEN
      EXCEPTION ''update_customer: failed finding contact_id =%s'', p_contact_id ;
    END IF;
    RETURN 0;
  END;
' LANGUAGE 'PLpgSQL';

COMMENT ON FUNCTION update_customer( int4, text, int4 ) IS '.';

